<?php

namespace App\Util;

class TemplateSMTP {

  public function generateTemplateHTML($name, $subject, $content) {
    return
    "
    <!doctype html>
    <html>
      <head>
        <meta charset='UTF-8'>
      </head>
    <body style='margin:0px; padding:0px; display: block; font-family: Arial, sans-serif;'>      
        <table style='border-collapse: collapse; border-spacing: 0; width: 592px !important;'>
          <tbody>
        <tr class='linha tipoEmail cabecalho' style='width: 592px !important; display: table; background-color: #F0F7FF; padding: 5px 0px; text-align: center;'>
          <td class='logomarca' style='padding: 10px 0 0 0; vertical-align: middle;'>
            <img style='width: 140px; height: 60px; margin-left: 10px;' src='https://danylloleles3.zeedhi.com/workfolder/logo.png' alt='Logo' />
          </td>
          <td class='vAlignMiddle' id='assunto' style='vertical-align: middle; padding: 25px 50px; text-align: left; color: #00305A; font-size: 23px;'>
            <p class='bold' style='font-weight: bold;'>$subject</p>
          </td>
        </tr>
        <tr class='linha conteudo whiteBackground' style='display: table; display: table-row; width: 592px !important; background-color: #F2F2F2;'>
          <td class='vAlignMiddle' id='borda' style='vertical-align: middle; padding: 0'>         
              <table class='tableMensagem' cellspacing='0' style='background-color: #F2F2F2; width: 590px; border-collapse: collapse; border-spacing: 0;'>
                <tbody>
                  <tr>
                    <td style='max-width:590px'>
                      <div class='divMensagem' style='margin: 20px; word-wrap: break-word; width: 548px; line-height: 150%; font-size: 14px; color: #726969;'>
                        <div>
                          <span>Olá, $name.</span></br></br>
                            $content
                        </div>
                      </div>
                    </td>
                  </tr>
                </tbody>
              </table>
          </td>
        </tr>
        <tr class='linha rodape' style='width: 592px !important; display: table; background-color: #E85C24;'>
          <td id='direitosReservados' style='padding: 5px 0px; color: #FFFFFF; font-size: 12px; text-align: center;'>
            <p>Powered by <a href='https://www.teknisa.com' style='color: #FFFFFF !important; text-decoration: underline !important;'>Teknisa</a></p>
          </td>
        </tr>
        <tr class='linha lgpd' style='width: 592px !important; display: table;'>
          <td id='lgpd' style='padding: 0px 5px'>
            <p style='font-size:11px !important;'>
            </p>
          </td>
        </tr>
      </tbody>
    </table>    
    </body>
  </html>    
  ";
  }
}